WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: TC 9.0 repo includes duplicated old libdevmapper.tcz  (Read 303 times)

Offline jazzbiker

  • WikiUser
  • *
  • Posts: 13
TC 9.0 repo includes duplicated old libdevmapper.tcz
« on: August 13, 2018, 11:11:58 PM »
Trying to use cryptsetup in TC 9.0 (works fine in TC 8.2.1) and comparing dependencies of it I've found that in 8.2.1 libdevmapper.tcz (includes /usr/local/lib/libdevmapper.so)  is dependency of liblvm2.
But in TC 9.0 new updated liblvm2.tcz includes its own /usr/local/lib/libdevmapper.so and have no dependency to libdevmapper.tcz. But extension libdevmapper.tcz still exists in repo and can cause inoperability of liblvm2.tcz if loaded before liblvm2 (places its own link to old libdevmapper.so in /usr/local/lib).

/usr/local/lib/libdevmapper.so.1.02 -> /tmp/tcloop/libdevmapper/usr/local/lib/libdevmapper.so.1.02
instead of
/usr/local/lib/libdevmapper.so.1.02 -> /tmp/tcloop/liblvm2/usr/local/lib/libdevmapper.so.1.02

which hangs cryptsetup, besides lidevmapper.so versions (1.02 ?) are equal, as I can think from newby point of view.
It seems to me, that old libdevmapper.tcz ( updated in 2011 and working well until TC 8.2.1) is to be removed from repo, may be I am wrong.
Thx!

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 10202
Re: TC 9.0 repo includes duplicated old libdevmapper.tcz
« Reply #1 on: August 14, 2018, 09:05:41 AM »
libdevmapper removed from tc-9.x x86 repo